This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 452724 - anaconda does not detect and warn of errors during install
anaconda does not detect and warn of errors during install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Reopened
: 474460 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-24 12:42 EDT by Ian Collier
Modified: 2010-11-06 00:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 14:06:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Collier 2008-06-24 12:42:45 EDT
Description of problem:

If the DVD drive on your computer is flakey then upgrading Fedora using anaconda
can leave your system unbootable with many RPMs not installed or only
half-installed.

Inspecting the upgrade log afterwards will reveal lines of the form:

error: unpacking of archive failed on file foo: cpio: read failed - I/O error

If this happens, anaconda should at least warn the user that an error occurred.
(It is unclear what to do next although I believe that aborting the upgrade at
this point and rerunning it later will still result in a usable system, while
carrying on regardless will not.)  Instead, it runs to completion and pretends
that all packages were installed successfully.

Similarly, another system that I recently upgraded got as far as successfully
installing 190 packages and then started logging lines like:

error: db4 error(-30977) from dbcursor->c_get: DB_RUNRECOVERY: Fatal error, run
database recovery

but the first I knew of this was when anaconda segfaulted after pretending to
have installed all 1380 of the required packages.

Version-Release number of selected component (if applicable):
Whatever version is on the F9 release DVD

Additional info:
Looks like bug 450820 is essentially the same bug but viewed from a different angle.
Comment 1 Chris Lumens 2008-07-11 17:13:19 EDT
Did you first run media check before using the DVD for isntallation?
Comment 2 Ian Collier 2008-07-14 10:55:55 EDT
Media check was deemed unnecessary because the same disc had already been used
for several successful installations.  Since the drive successfully mounted the
disc and installed several packages before failing, chances are that media check
would have succeeded.

In any case, the point is not that the installation failed, but that anaconda
did not detect that it had failed.
Comment 4 Chris Lumens 2008-12-04 15:11:00 EST
*** Bug 474460 has been marked as a duplicate of this bug. ***
Comment 5 Ray Todd Stevens 2008-12-04 15:40:55 EST
I do wonder about the "duplicate thing"   But since this seems to be the active version of the "bug",  I would think that some more explanation on the screen might be appropriate.  Something along the lines of "several minutes" or even "this could take 15 minutes or more in some cases" would be appropriate.
Comment 6 Ian Collier 2008-12-04 17:15:00 EST
Indeed this doesn't seem like a duplicate at all (unless the underlying fix is the same). However, that does satisfy my curiosity at what exactly is going on when it says "finishing installation - this may take a while".  Prior to F10 this dialogue didn't move at all, so I see the Knight-Rider thing as a definite improvement that lets you know something is still alive.  (I always thought it would be much more sensible to clean up each package directly after it is upgraded instead of all at the end, but that's just me...)
Comment 7 Chris Lumens 2008-12-04 17:25:16 EST
They're not really duplicate issues, no, but the fix should be the same.  That's why I marked it as a dupe.  Perhaps it was the wrong approach, but it probably doesn't matter that much.

I had originally attempted to make a progress bar that worked the same way as the regular installation one (printing the package we're processing, moving in one direction, and showing package done/packages total), but there's simply not enough information.
Comment 8 Ray Todd Stevens 2008-12-04 17:27:32 EST
Does make we wonder.   I wonder if they could list each package as it is cleaned so it looks a great deal more like something is happening.   Right now it kind of looks like the knight rider system is working, but that some underlying process has hung.
Comment 9 Chris Lumens 2008-12-04 22:54:39 EST
We can probably reword the text and add an indication as to what package is being processed, yes.  I'll work on doing that just in case we never actually get around to doing the yum callback for F11.

Also you consider it more of a Knight Rider than a Cylon?  Huh.
Comment 10 Ray Todd Stevens 2009-01-09 11:46:05 EST
I wonder if this could be related to my reported bug 476372
Comment 11 Chris Lumens 2009-04-09 09:53:54 EDT
*** Bug 495050 has been marked as a duplicate of this bug. ***
Comment 12 Bug Zapper 2009-06-09 21:46:07 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-07-14 10:59:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Bug Zapper 2009-07-15 04:14:00 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Chris Lumens 2009-08-25 14:06:04 EDT
Now that rpm provides us with the right callback status, this is fairly easy.  It should be fixed in the next build of anaconda which means it'll be fixed in rawhide and in F12 beta.
Comment 16 Tony Foiani 2010-11-04 21:55:16 EDT
Still not fixed on F12 -> F14 "preupgrade".  This should be closed as a dupe of bug 493249, since that seems to have the most current traffic on it.

Note that there are quite a few bugs with this complaint, most closed as dupes of one or two core bugs:

bug 208725 (dups: bug 450343)
this bug [bug 452724] (dups: bug 474460, 
bug 493249 (dups: bug 532082, bug 597064
Comment 17 Chris Lumens 2010-11-05 10:19:24 EDT
That's a completely different bug than the original report.  This bug report is about reporting which package has an error, not about which package is being cleaned up on upgrade.
Comment 18 Tony Foiani 2010-11-06 00:29:14 EDT
(In reply to comment #17)
> That's a completely different bug than the original report.  This bug report is
> about reporting which package has an error, not about which package is being
> cleaned up on upgrade.

Chris --

You're completely correct; apologies for the noise.

I got lost in too many dupes, apparently.  Mostly I just wanted to make sure that the relevant bugs (closed or not) were not forgotten, as the issue of the endless "might take a while" is still there even in the F14 installer.

Again, apologies for the noise on this bug.

Thanks for all your work!

Note You need to log in before you can comment on or make changes to this bug.